Bug 1026938 - [abrt] amarok-utils-2.8.0-3.fc19.1: memcpy: Process /usr/bin/amarokcollectionscanner was killed by signal 11 (SIGSEGV)
[abrt] amarok-utils-2.8.0-3.fc19.1: memcpy: Process /usr/bin/amarokcollection...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f59797af8737323227560a50395...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 12:08 EST by Kim Bisgaard
Modified: 2015-02-17 14:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:04:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (157.97 KB, text/plain)
2013-11-05 12:08 EST, Kim Bisgaard
no flags Details
File: cgroup (140 bytes, text/plain)
2013-11-05 12:08 EST, Kim Bisgaard
no flags Details
File: core_backtrace (11.64 KB, text/plain)
2013-11-05 12:08 EST, Kim Bisgaard
no flags Details
File: dso_list (5.29 KB, text/plain)
2013-11-05 12:08 EST, Kim Bisgaard
no flags Details
File: environ (2.11 KB, text/plain)
2013-11-05 12:09 EST, Kim Bisgaard
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-05 12:09 EST, Kim Bisgaard
no flags Details
File: maps (25.31 KB, text/plain)
2013-11-05 12:09 EST, Kim Bisgaard
no flags Details
File: open_fds (358 bytes, text/plain)
2013-11-05 12:09 EST, Kim Bisgaard
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-11-05 12:09 EST, Kim Bisgaard
no flags Details
File: var_log_messages (1.26 KB, text/plain)
2013-11-05 12:09 EST, Kim Bisgaard
no flags Details

  None (edit)
Description Kim Bisgaard 2013-11-05 12:08:40 EST
Description of problem:
Full scan after music

Version-Release number of selected component:
amarok-utils-2.8.0-3.fc19.1

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/amarokcollectionscanner --idlepriority -r --sharedmemory AmarokScannerMemory{0fa7d93e-7ef8-4270-830e-7c92a521b835} /data/mp3
crash_function: memcpy
executable:     /usr/bin/amarokcollectionscanner
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            987

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 memcpy at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:169
 #2 TagLib::ByteVector::replace at /usr/src/debug/taglib-1.9.1/taglib/toolkit/tbytevector.cpp:551
 #3 TagLib::ID3v2::SynchData::decode at /usr/src/debug/taglib-1.9.1/taglib/mpeg/id3v2/id3v2synchdata.cpp:83
 #4 TagLib::ID3v2::FrameFactory::createFrame at /usr/src/debug/taglib-1.9.1/taglib/mpeg/id3v2/id3v2framefactory.cpp:132
 #5 TagLib::ID3v2::Tag::parse at /usr/src/debug/taglib-1.9.1/taglib/mpeg/id3v2/id3v2tag.cpp:700
 #6 TagLib::ID3v2::Tag::read at /usr/src/debug/taglib-1.9.1/taglib/mpeg/id3v2/id3v2tag.cpp:647
 #7 TagLib::ID3v2::Tag::Tag at /usr/src/debug/taglib-1.9.1/taglib/mpeg/id3v2/id3v2tag.cpp:120
 #8 TagLib::FLAC::File::read at /usr/src/debug/taglib-1.9.1/taglib/flac/flacfile.cpp:310
 #9 TagLib::FLAC::File::File at /usr/src/debug/taglib-1.9.1/taglib/flac/flacfile.cpp:113
 #10 Meta::Tag::FileTypeResolver::createFile at /usr/src/debug/amarok-2.8.0/shared/FileTypeResolver.cpp:117
Comment 1 Kim Bisgaard 2013-11-05 12:08:48 EST
Created attachment 819892 [details]
File: backtrace
Comment 2 Kim Bisgaard 2013-11-05 12:08:52 EST
Created attachment 819893 [details]
File: cgroup
Comment 3 Kim Bisgaard 2013-11-05 12:08:55 EST
Created attachment 819894 [details]
File: core_backtrace
Comment 4 Kim Bisgaard 2013-11-05 12:08:58 EST
Created attachment 819895 [details]
File: dso_list
Comment 5 Kim Bisgaard 2013-11-05 12:09:02 EST
Created attachment 819896 [details]
File: environ
Comment 6 Kim Bisgaard 2013-11-05 12:09:05 EST
Created attachment 819897 [details]
File: limits
Comment 7 Kim Bisgaard 2013-11-05 12:09:08 EST
Created attachment 819898 [details]
File: maps
Comment 8 Kim Bisgaard 2013-11-05 12:09:13 EST
Created attachment 819899 [details]
File: open_fds
Comment 9 Kim Bisgaard 2013-11-05 12:09:16 EST
Created attachment 819900 [details]
File: proc_pid_status
Comment 10 Kim Bisgaard 2013-11-05 12:09:19 EST
Created attachment 819901 [details]
File: var_log_messages
Comment 11 Oliver Sampson 2013-11-06 03:58:53 EST
After scanning the database for new entries, I selected one song in the playlist, and the error occurred.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/amarokcollectionscanner --idlepriority -i --batch /home/olsam/.kde/share/apps/amarok/amarokcollectionscanner_batchscan.xml -r --sharedmemory AmarokScannerMemory{5f1b0c52-c3e6-4fca-985a-a18d7e500ad9} /home/olsam/Music/Artists
crash_function: memcpy
executable:     /usr/bin/amarokcollectionscanner
kernel:         3.11.6-201.fc19.x86_64
package:        amarok-utils-2.8.0-3.fc19.1
reason:         Process /usr/bin/amarokcollectionscanner was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Fedora End Of Life 2015-01-09 15:28:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:04:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.